"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def sddc_template(hub, ctx, org: str, sddc: str) -> None:
    """
    **Autogenerated function**
    
    Get configuration template for  an SDDC

    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.sddc_template.sddc_template(ctx, org=value, sddc=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.sddc_template.sddc_template org=value, sddc=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/sddc-template".format(**{"org": org, "sddc": sddc}),
        query_params={},
        data={}
    )


async def sddc_templates(hub, ctx, org: str) -> None:
    """
    **Autogenerated function**
    
    List all available SDDC configuration templates in an organization

    Args:
        org(str): Organization identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.sddc_template.sddc_templates(ctx, org=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.sddc_template.sddc_templates org=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddc-templates".format(**{"org": org}),
        query_params={},
        data={}
    )

